STR Submitted Declarations
Search for submitted declarations
Search for submitted declarations for a specific apartment.
Allowed Roles:
admin, str-uploader
POST
/
str
/
submitted-declarations
Search for submitted declarations
curl --request POST \
--url https://str.keroshospitality.com/api/v1/str/submitted-declarations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apartmentId": 42,
"fromDate": "01/01/2023",
"toDate": "01/01/2024"
}
'import requests
url = "https://str.keroshospitality.com/api/v1/str/submitted-declarations"
payload = {
"apartmentId": 42,
"fromDate": "01/01/2023",
"toDate": "01/01/2024"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({apartmentId: 42, fromDate: '01/01/2023', toDate: '01/01/2024'})
};
fetch('https://str.keroshospitality.com/api/v1/str/submitted-declarations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": 123,
"requestId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
"createdAt": "2022-01-01T00:00:00Z"
}Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/json
⌘I
Search for submitted declarations
